Estobuntu 14.04.5LTS, firefox 57.0.4 ja ID-kaart

0 häält
354 vaatamist
Tere.

Kuidas saada ID-kaart toimima ff 57.0.4-s estobuntu 14.04.5 LTS all? Varasema firefoxiga toimis kõik korralikult, aga nii kui tuli ff 57 versioon on kõik tuksis.

Tänud Aare.
avatar küsitud 20. jaan kategoorias Algaja küsib - aareboy (0 punkti)
muudetud 20. jaan - aareboy

1 vastus

0 häält
Proovi seda juhendit.

https://www.id.ee/?id=38464
vastatud 20. jaan - karlsson (0 punkti)
https://www.id.ee/public/FF6_Linux.png
Sellist kohta /usr/lib/x86_64-linux-gnu/onepin-opensc-pkcs11.so ja /usr/lib/i386-linux/gnu pole olemas. On juba proovitud. Asi selles ega ma mingi patsiga poiss linuxi alal ei ole. Rohkem nagu algaja. Aga need win 8-d ja 10-d ei meeldi kohe üldse. Arvutis kasutan paraleelselt veel xp-d. Teises win7 ja seal all töötab. Tahaks Estobuntu all ka tööle saada.
Kui kaart taga siis on sedasi: https://www.upload.ee/image/7913187/1.png
https://www.upload.ee/image/7918225/2.JPEG
Firefox selline: https://www.upload.ee/image/7913190/3.png
https://www.upload.ee/image/7913191/4.png
sinu versioon on 32bitine ja x86_64 ei ole võimalik kasutada, pigem asub: /usr/lib/i386-linux-gnu/
sellist kohta /usr/lib/i386-linux-gnu/ ei ole. Kus see täpselt Estobuntu 14.04.5 all on?
https://www.upload.ee/image/7914785/5.png
https://www.upload.ee/image/7914787/6.png
Rohkem tuleks selgeks teha, et kus asub juursüsteem?! Teie piltidel on ainult kodukataloog. Kahjuks amatööridega ei tegele. Ehk keegi teine aitab. Vabandust!
otsi üles käsuga: find /usr/lib -name onepin*
ja siis FF secure device all vali see, secue devise all on ka Log in nupp millega saad kohe PIN1 proovida kas töötab.
https://www.upload.ee/image/7916481/Screenshot_-_21.01.2018_-_11_47_07.png
ID-kaarti haldusvahendit 14.04 all ei uuendata ja see jääbki näitama, et vajab uuendamist, põhiline, et sertifikaate näitab kehtivaid.
find-käsus tuleb otsitav panna ülakomade või jutumärkide vahele:
find /usr/lib -name 'onepin*'
PIN1 küsib ja laseb ära panna, aga sealt edasi on selline.
https://www.upload.ee/image/7918260/0.png
proovi siin kas töötab 'Tutvusta ennast' https://koppkopp.ee/
Sama teema PIN1 küsib ja laseb ära panna, aga sealt edasi on selline.
https://www.upload.ee/image/7918729/00.png
See Firefox PKCS 11 loader 3.12.0 , mis on keelatud ja aegunud laienduste all https://www.upload.ee/image/7913191/4.png  peaks olema  Laienduste all https://www.upload.ee/image/7913190/3.png ja lubatud nagu see Token signing. Win 7 all panin mõlemad lubatud peale seda toimingut https://www.id.ee/index.php?id=38377 ja kõik toimib. Tegin ka selle https://www.id.ee/?id=38464  ära nagu vaja , aga ei midagi.
Ok, siis sul on ju uuendamata opensc ja FF uuendus ei puhu üldse pilli.
Ja seda pkcs loaderit ei ole vaja, see oligi ainult automaatsetl secure device alla kirje tekitamiseks.

Tõmba siit vastavalt kas i386 või amd64 vastaval kumb süsteem sul on kas 64bit või 32bit ja intalli:
https://installer.id.ee/media/ubuntu/pool/main/o/opensc/opensc_0.17.0-1RIA5_amd64.deb
https://installer.id.ee/media/ubuntu/pool/main/o/opensc/opensc_0.17.0-1RIA5_i386.deb
Tänud 123to nüüd saab kaardiga sisse logida, aga DigiDoc klient ja DigiDoc krüpto on kadunud. Klikin peale aga ei midagi. https://www.upload.ee/image/7928300/dd.png
jah, need ei hakkagi 14.04 peal tööle, need vajavad paljude teekide väljavahetamist süsteemis ja kokku kompileerimist, 14.04 peal saad ainult browseriga id-kaarti tööle
Kas see eeldab siis seda, et tuleb uuendada 16.04 jne. Aga Estobuntul ei ole 16 jne. LXDE versiooni.
tegelikult ubuntu 14.04 tugi kestab kuni 2019.04 aga id-kaarti meeskond seda millegipärast ei toeta ja toetab alates 16.04. Uus pikajalise toega ubuntu tuleb kohe varsti 18.04 aga kas ka estobuntu sellele porditakse, ei tea.
Selge. Aga veelkord tänud, et midagigi toimib. Aa ja, kas 18.04 ei tule mitte 64Bit. 32Bit-ist ei tule. Kuskilt nagu lugesin.
estobuntu on Lubuntu ja see tuleb ka i386
http://cdimage.ubuntu.com/lubuntu/daily-live/current/
...